export default class MyModel {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/list', 'post', params, axiosOption, httpOption);
  }
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/listForTree', 'post', params, axiosOption, httpOption);
  }
        
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/view', 'get', params, axiosOption, httpOption);
  }
        
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/add', 'post', params, axiosOption, httpOption);
  }
        
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/update', 'post', params, axiosOption, httpOption);
  }
        
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/delete', 'post', params, axiosOption, httpOption);
  }
}
